summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2007-11-06 08:31:22 +0000
committerZac Medico <zmedico@gentoo.org>2007-11-06 08:31:22 +0000
commit00a39f6c0f8db16e7aaefc10861fa435c3c02173 (patch)
tree53bb4449527e602e08f4614185da75e458039cb9
parent6417607e0ca5b90a9037de92eb28f9a09ff29aa9 (diff)
downloadportage-00a39f6c0f8db16e7aaefc10861fa435c3c02173.tar.gz
portage-00a39f6c0f8db16e7aaefc10861fa435c3c02173.tar.bz2
portage-00a39f6c0f8db16e7aaefc10861fa435c3c02173.zip
Go ahead and exempt selected profile-specific USE_EXPAND
flags from IUSE QA Notices since we are planning to make these particular flags into implicit members of IUSE. We can make this extensible later, but for now we just want to eliminate some useless QA Notices (a subset of bug #70648). We're not exempting any non profile- specific USE_EXPAND flags here. For non profile-specific flags, we intend to implement an IUSE syntax extension (bug #133327). svn path=/main/trunk/; revision=8442
-rwxr-xr-xbin/ebuild.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/bin/ebuild.sh b/bin/ebuild.sh
index 30c6c958c..cd4fca842 100755
--- a/bin/ebuild.sh
+++ b/bin/ebuild.sh
@@ -165,7 +165,12 @@ useq() {
fi
# Make sure we have this USE flag in IUSE
- if ! hasq "${u}" ${IUSE} ${E_IUSE} && ! hasq "${u}" ${PORTAGE_ARCHLIST} selinux; then
+ if ! hasq "${u}" ${IUSE} ${E_IUSE} && \
+ ! hasq "${u}" ${PORTAGE_ARCHLIST} selinux && \
+ [[ ${u} != arch_* ]] && \
+ [[ ${u} != elibc_* ]] && \
+ [[ ${u} != kernel_* ]] && \
+ [[ ${u} != userland_* ]] ; then
eqawarn "QA Notice: USE Flag '${u}' not in IUSE for ${CATEGORY}/${PF}"
fi